<script>
	import {
		checkUpdateApp
	} from './common/downApp.js';
	// 冷链送药移动端-冰排
	export default {
		onLaunch: function() {
			// console.log('App Launch')
		},
		onShow: function() {
			// #ifdef APP-PLUS 
			uni.getSystemInfo({
				success: (res) => {
					var that = this;
					//检测当前平台，如果是安卓则启动安卓更新  
					if (res.platform == "android") {
						checkUpdateApp();
					}
				}
			})
			// #endif
			// console.log('App Show')
		},
		onHide: function() {
			// console.log('App Hide')
		},
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "uview-ui/index.scss";
	@import "common/index.scss";
	@import url(@/static/fonts/iconfont.css);

	page {
		height: 100%;
		background-color: #f3f4f6;
	}
</style>